Responses
=========

Unless noted otherwise, all method return values for Globus SDK Clients are
``GlobusHTTPResponse`` objects.

To customize client methods with additional detail, the SDK uses subclasses of
``GlobusHTTPResponse``.

.. autoclass:: globus_sdk.response.GlobusHTTPResponse
   :members:
   :show-inheritance:

.. autoclass:: globus_sdk.response.IterableResponse
   :members:
   :show-inheritance:

.. autoclass:: globus_sdk.response.ArrayResponse
   :members:
   :show-inheritance:
